package _VisualDVM.TestingSystem.DVM.DVMCompilationOption;
import Common.CommonConstants;
import Common.Database.Objects.DBObject;
import Common.Database.Objects.iDBObject;
import Common.Utils.Utils_;
public class DVMCompilationOption extends iDBObject {
    public String name = "";
    public String value = "";
    public int dvmcompilationoptionsset_id = CommonConstants.Nan;
    public DVMCompilationOption(String name_in, String value_in) {
        name = name_in;
        value = value_in;
    }
    public DVMCompilationOption() {
    }
    @Override
    public void SynchronizeFields(DBObject src) {
        super.SynchronizeFields(src);
        DVMCompilationOption src_ = (DVMCompilationOption) src;
        name = src_.name;
        value = src_.value;
        dvmcompilationoptionsset_id = src_.dvmcompilationoptionsset_id;
    }
    public String print() {
        return name + (value.contains(" ") ? Utils_.DQuotes(value) : value);
    }
}
